@extends('admin.admin_master')
@section('title', 'Contact List')
@section('content')
<!-- Content Header (Page header) -->
    <div class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
            <div class="col-sm-12">
              <h1 class="m-0">Contact List</h1><br>
			</div><!-- /.col -->
          <!--<div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
              <li class="breadcrumb-item"><a href="#">Home</a></li>
              <li class="breadcrumb-item active">Dashboard v1</li>
            </ol>
          </div>--><!-- /.col -->
        </div><!-- /.row -->
      </div><!-- /.container-fluid -->
    </div>
    <!-- /.content-header -->

    <!-- Main content -->
    <section class="content">
        <div class="container-fluid">
          	       
		@if (session('status'))		
		  <div class="alert alert-success alert-dismissible">
                  <button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button>
                  <h5><i class="icon fas fa-check"></i> Alert!</h5>
                  {{ session('status') }}
           </div>			
		@endif	
        <div class="card card-default">
          <div class="row">
          <div class="col-12">
            <div class="card">
              <div class="card-header">
                <h3 class="card-title"></h3>
              </div>
              <!-- /.card-header -->
              <div class="card-body">
                <table id="example2" class="table table-bordered table-hover">
                  @if(isset($contactList) && (!empty($contactList)))
				  <thead>
                  <tr>
                    <th>First Name</th>
                    <th>Middle name</th>
                    <th>Last name</th>
                    <th>Gender</th>
                    <th>Date of Birth</th>
                    <th>Daytime Phone Number</th>
                    <th>Evening Phone Number</th>
                    <th>E-Mail Address</th>
                    <th>Country</th>
                    <th>State</th>
                    <th>Zip/Postal code</th>
                  </tr>
                  </thead>
                  <tbody>
				  @foreach($contactList as $contact)
                   <tr>
                    <td>{{$contact->first_name}}</td>
                    <td>{{(!empty($contact->middle_name))?$contact->middle_name:""}}</td>
                    <td>{{(!empty($contact->last_name))?$contact->last_name:""}}</td>
                    <td>{{(!empty($contact->gender))?$contact->gender:""}}</td>
                    <td>{{(!empty($contact->dob))?date('d/m/Y',strtotime($contact->dob)):""}}</td>
                    <td>{{(!empty($contact->day_time_phone))?$contact->day_time_phone:""}}</td>
                    <td>{{(!empty($contact->evening_time_phone))?$contact->evening_time_phone:""}}</td>
                    <td>{{(!empty($contact->email_address))?$contact->email_address:""}}</td>
                    <td>{{(!empty($contact->country))?$contact->country:""}}</td>
                    <td>{{(!empty($contact->state))?$contact->state:""}}</td>
                    <td>{{(!empty($contact->zip))?$contact->zip:""}}</td>
                   </tr>
				  @endforeach
                 </tbody>
                 @else
                  <tr>
			       <td colspan="11" align="center">No Record Found</td>
				  </tr>
                 @endif 				  
                </table>
              </div>
			   {!! $contactList->withQueryString()->links('pagination::bootstrap-5') !!}
              <!-- /.card-body -->
            </div>
            <!-- /.card -->

            
          </div>
          <!-- /.col -->
        </div>
        <!-- /.row -->

        </div><!-- /.container-fluid -->
    </section>
    <!-- /.content -->
@endsection	
@section('scripts')
<script>
</script>
@endsection